Manuels Vendée
==============

## Compilation

`docker-compose` est utilisé pour compiler le manuel.

Commande:

```bash
docker-compose up
```

Le fichier généré est `user-manual.pdf` et `admin-manual.pdf`


Si vous avez une (bonne) version de pandoc sur votre PC, on peut faire sans docker avec:

```bash
bash build-pandoc.sh
bash build-pandoc.sh pdf admin
```
où ` bash build-pandoc.sh` est par défaut équivalent à `bash build-pandoc.sh pdf user`.

### Utilisateur

L'utilisateur qui exécute la compilation est, par défaut, l'utilisateur ayant l'id `1000`.

## Dépendances latex

### Awesomebox

Pour créer des "box": https://www.ctan.org/tex-archive/graphics/awesomebox

### Correcteur orthographiques

Please, utilisons un correcteur orthographique pour le français pour nous éviter toutes les fautes de frappes et autres. Ex: https://marketplace.visualstudio.com/items?itemName=streetsidesoftware.code-spell-checker-french