/newpage

# Tasks

## Listing page

<!-- /fr/task/single-task/by-course/{id} -->

Clicking on the <**task**> menu entry in the person or trajectory side-menu will bring you to the listing page.

Here you have an overview of all tasks related to this particular person or trajectory.

At the top of the list you find a searchbar and several filtering options,

* Future tasks or tasks without due date
* Tasks that are almost due
* Tasks with a passed due date
* New tasks
* Tasks that are in progress
* Closed tasks
* Removed tasks

Listed tasks are displayed with their title, a badge identifying the state in which the task can be found (new, in progress, closed,...) and their starting date, date on which a reminder will be sent and their due date. Your task reminders can be found on the homepage widget, or displayed in your user menu.

A separate user menu entry will take you directly to a listing page of all your tasks that have surpassed their due date and have not been closed. This menu entry is easily identifiable by the exclamation mark triangle (!).

## Creating a new task

<!-- /fr/task/single-task/new -->

To create a new task you will be given a form to fill in.
The fields are self-explanatory but do note that only the title is required.

## Detail page

<!-- /fr/task/single-task/{id}/show -->

You can view the task in more detail by clicking on the **eye** icon button. On the detail page you will see the description of the task, but also the task history. The history gives you an overview of state changes and who undertook them on which day. This allows users to easily keep track of tasks.

Within the detail page, as well as in the listing page you have the ability to navigate to an edit page where you can modify the task. A task can also be deleted and it's current state can be changed using the dropdown button <**change state**>.

