/newpage

# Side activities

To allow a user to also keep track of activities that are not directly related to a support trajectory or to a person, there is a side activity section.

A side activity could be a team meeting, a training, but also a phone call or email.

## Listing page

<!-- /fr/asideactivity -->

A user can navigate to his/her list of side activities from within their user menu by clicking on <**My side activities**>. Similar to other sections of the Chill app, you will find here a list that offers a first quick overview of each activity. You can view the activity in more detail, edit, or delete it.


## Creating a side activity

<!-- /fr/asideactivity/new -->

The form fields of a side activity are self-explanatory. It is important to note however that a user can create a side activity for another user. Multiple users can also be linked, think of a meeting for example.

A side activity can be created for the future, but they can also still be created for activities that already took place. As such it shouldn't be seen as a planning tool, but more to keep record of side activities.

All fields are required, except for any additional note you might want to add.

## Detail page

<!-- /fr/asideactivity/{id}/view -->

Within the detail page the most important thing to note is the option to **duplicate** a side activity. For example, a meeting that is held weekly with more or less the same people can therefore easily be duplicated, while still allowing modifications to be made.


