\newpage

# Notifications
<!-- fr/notification/inbox -->

![Boîte de réception des notifications](screenshot/img/fr_notification_inbox.png)

Les notifications sont des messages envoyés par un utilisateur à un ou plusieurs autres. Les notifications ont pour but d'échanger rapidement des informations sur des dossiers sociaux en cours entre travailleurs sociaux. Par exemple, les notifications permettent d'informer un travailleur social à propos d'un parcours.

On y accède soit depuis la page d'accueil de Chill, sous l'onglet "Mes notifications", soit n'importe où dans l'application via le
menu "utilisateur" en haut à droite de l'écran. Selon la configuration choisie par les administrateurs du logiciel, les notifications sont aussi envoyées par courriel au travailleur social concerné.

## Créer une notification
<!-- fr/notification/create?entityClass=Chill%5CPersonBundle%5CEntity%5CAccompanyingPeriod&entityId=2705-->

![Créer une notification](user/img/notification_parcours.png)

Des notifications peuvent être envoyées à partir de plusieurs endroits du logiciel. Une notification comprend un objet (comme un courriel), un ou plusieurs destinataires, un message et les informations à partir desquelles la notification est envoyée. par exemple, lors de l'envoi d'une notification dans le cadre d'un parcours, les informations générales du parcours sont également copiées.

Il est possible d'envoyer une notification:

- de la page résumé d'un parcours
- d'une activité/échange

Les notifications envoyées, par exemple, à partir d'un parcours, sont listées dans le résumé du parcours.

<!-- TODO: Y a t il d'autres endroits où sont utilisées les notifications?  -->

Il y a en outre des notifications automatiquement envoyées lors de certaines manipulations.


## Discuter dans une notification
<!-- fr/notification/{notification_id}/show -->

![Discussion dans une notification](screenshot/img/fr_notification_126_show.png)

Lorsqu'une notification est reçue, il est possible d'engager une discussion avec son destinataire dans la page de la notification. Cela permet de laisser des messages entre travailleurs, comme dans un système de discussion en ligne.



